import Navbar from '@/views/layout/Navbar'
import { Footer, FooterColumn } from '@/views/layout/Footer'

export function Layout({ children }) {
  return (
    <>
      <Navbar
        logo={{
          img: '/img/fitko-logo.svg',
          alt: 'Föderale Entwicklungsportal',
        }}
      />
      <main className="py-10">{children}</main>
      <Footer logo={{
          img: '/img/fitko-logo.svg',
          alt: 'Föderale Entwicklungsportal',
      }} copyright={'FITKO'}>
          <FooterColumn title={'Service APIs'} links={[
              {label: 'Routing API', href: '' },
              {label: 'Payment API', href: '' },
              {label: 'Submission API', href: '' },
              {label: 'PVOG', href: '' },
          ]}/>
          <FooterColumn title={'Ressourcen'} links={[
              {label: 'Tutorials', href: '' },
              {label: 'FAQs', href: '' },
              {label: 'Blog', href: '' },
              {label: 'Support Center', href: '' },
          ]}/>
          <FooterColumn title={'Rechtliches'} links={[
              {label: 'Impressum', href: '' },
              {label: 'Datenschutz', href: '' },
              {label: 'Barrierefreiheit', href: '' },
          ]}/>
      </Footer>
    </>
  )
}
